Get Asset
curl --request GET \
--url https://ge-exchange-staging-1.herokuapp.com/v1/api/asset/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://ge-exchange-staging-1.herokuapp.com/v1/api/asset/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://ge-exchange-staging-1.herokuapp.com/v1/api/asset/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"message": "Asset gotten successfully",
"data": {
"entity_type": "asset",
"type": "Company",
"company_type": "Public",
"stage": "Pre seed",
"verified": false,
"_id": "61fbe6b70a9415025c432993",
"name": "Request",
"image": "https://media-exp1.licdn.com/dms/image/C4D0BAQHRDiINf7QxGQ/company-logo_200_200/0/1595795107896?e=2159024400&v=beta&t=Kkcp6ZH7zbogHQ94AhVg53TB6F45N4wqsyksV4inffA",
"dateOfIncorporation": "2020-05-01",
"about": "Some details about Request Token",
"industry": "Test Token",
"twitter": "https://twitter.com/request",
"facebook": "https://facebook.com/request",
"website": "https://test.com/",
"state": "Lagos",
"city": "Ikeja",
"country": "Nigeria",
"address": "Some random address.",
"zipcode": "Some random zip code.",
"owner": "61fbcd49bd4880003293d295",
"owner_model": "organisation",
"createdAt": "2022-02-03T14:29:11.174Z",
"updatedAt": "2022-02-03T14:29:11.174Z",
"__v": 0,
"founders": [
{
"role": "",
"_id": "61fbe6b70a9415025c432996",
"fname": "Request",
"lname": "Test",
"email": "request@test.com",
"owner": "61fbe6b70a9415025c432993",
"owner_model": "asset",
"organisation": "61fbcd49bd4880003293d295",
"createdAt": "2022-02-03T14:29:11.818Z",
"updatedAt": "2022-02-03T14:29:11.818Z",
"__v": 0
}
],
"memo": null,
"documents": [
{
"type": "Pitch Deck",
"uploader_model": "asset",
"_id": "61fbe6ba0a9415025c4329a2",
"url": "http://www.africau.edu/images/default/sample.pdf",
"name": "Pitch Deck",
"uploader": "61fbe6b70a9415025c432993",
"kyc_request": "61fbe6b90a9415025c43299d",
"createdAt": "2022-02-03T14:29:14.331Z",
"updatedAt": "2022-02-03T14:29:14.331Z",
"__v": 0
}
]
}
}
Trade
Get Asset
Allows an api client get details of an asset
GET
api
/
asset
/
{id}
Get Asset
The id of the asset to fetch
{
"status": "success",
"message": "Asset gotten successfully",
"data": {
"entity_type": "asset",
"type": "Company",
"company_type": "Public",
"stage": "Pre seed",
"verified": false,
"_id": "61fbe6b70a9415025c432993",
"name": "Request",
"image": "https://media-exp1.licdn.com/dms/image/C4D0BAQHRDiINf7QxGQ/company-logo_200_200/0/1595795107896?e=2159024400&v=beta&t=Kkcp6ZH7zbogHQ94AhVg53TB6F45N4wqsyksV4inffA",
"dateOfIncorporation": "2020-05-01",
"about": "Some details about Request Token",
"industry": "Test Token",
"twitter": "https://twitter.com/request",
"facebook": "https://facebook.com/request",
"website": "https://test.com/",
"state": "Lagos",
"city": "Ikeja",
"country": "Nigeria",
"address": "Some random address.",
"zipcode": "Some random zip code.",
"owner": "61fbcd49bd4880003293d295",
"owner_model": "organisation",
"createdAt": "2022-02-03T14:29:11.174Z",
"updatedAt": "2022-02-03T14:29:11.174Z",
"__v": 0,
"founders": [
{
"role": "",
"_id": "61fbe6b70a9415025c432996",
"fname": "Request",
"lname": "Test",
"email": "request@test.com",
"owner": "61fbe6b70a9415025c432993",
"owner_model": "asset",
"organisation": "61fbcd49bd4880003293d295",
"createdAt": "2022-02-03T14:29:11.818Z",
"updatedAt": "2022-02-03T14:29:11.818Z",
"__v": 0
}
],
"memo": null,
"documents": [
{
"type": "Pitch Deck",
"uploader_model": "asset",
"_id": "61fbe6ba0a9415025c4329a2",
"url": "http://www.africau.edu/images/default/sample.pdf",
"name": "Pitch Deck",
"uploader": "61fbe6b70a9415025c432993",
"kyc_request": "61fbe6b90a9415025c43299d",
"createdAt": "2022-02-03T14:29:14.331Z",
"updatedAt": "2022-02-03T14:29:14.331Z",
"__v": 0
}
]
}
}
Was this page helpful?
⌘I
